# -*- coding: utf-8 -*-
## PlonePopoll: A Plone poll tool
## Copyright (C)2005 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
"""
    PlonePopoll product
"""
__docformat__ = 'restructuredtext'

from Products.CMFCore.CMFCorePermissions import setDefaultRoles
from Products.CMFCore.CMFCorePermissions import ManagePortal

GLOBALS     = globals()
PROJECTNAME = 'PlonePopoll'
SKINS_DIR   = 'skins'
TOOL_ID     = 'portal_popoll'
I18N_DOMAIN = 'plonepopoll'
NEEDED_PRODUCTS = ['Archetypes']

# Default permissions for PlonePopoll
PlonePopoll_addPermission  = "Add PlonePopolls"
PlonePopoll_editPermission = "Edit PlonePopoll"
PlonePopoll_votePermission = "Vote for a PlonePopoll"

PERMS_LIST = (
    PlonePopoll_addPermission,
    PlonePopoll_editPermission,
    PlonePopoll_votePermission
)
for perm in PERMS_LIST:
    setDefaultRoles(perm, ('Manager', 'Owner',))


CONFIGLET_ID = 'plonepopoll_configuration'
# Configlet to manage organisation
prefs_plonepopoll_configlet = {
    'id': CONFIGLET_ID,
    'appId': PROJECTNAME,
    'name': 'PlonePopoll configuration',
    'action': 'string:$portal_url/prefs_PlonePopoll_form',
    'category': 'Products',
    'permission': (ManagePortal, ),
    'imageUrl': 'plonepopoll.gif',
    }


try:
    True
except NameError:
    True = 1
    False = 0